
public class BlendedRoast extends Beverage
{
    Beverage roast1;
    Beverage roast2;
    
    BlendedRoast(Beverage roast1, Beverage roast2)
    {
        this.roast1 = roast1;
        this.roast2 = roast2;
        
        description = roast1.getDescription() + " combined with " + roast2.getDescription();
    }
    
    @Override
    public double cost()
    {
        return (roast1.cost() + roast2.cost()) / 2.0;
    }

}
